"""followers

Revision ID: 4356defb3921
Revises: 63ff73b88ef4
Create Date: 2019-09-23 23:24:56.575402

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '4356defb3921'
down_revision = '63ff73b88ef4'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('followers',
    sa.Column('follower_id', sa.Integer(), nullable=True),
    sa.Column('followed_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['followed_id'], ['user.id'], ),
    sa.ForeignKeyConstraint(['follower_id'], ['user.id'], )
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('followers')
    # ### end Alembic commands ###
